Page MenuHomePhabricator

when serving Uzbek Wikipedia, make HTTPS canonical
Closed, ResolvedPublic

Description

Author: sumanah

Description:
Per http://lists.wikimedia.org/pipermail/wikimedia-l/2012-December/123135.html - "should the Uzbek Wikipedia be set up in a way that makes access via the HTTPS protocol the canonical one?"

Tim Starling asked http://lists.wikimedia.org/pipermail/wikimedia-l/2012-December/123142.html :

Is it enough to set the <link rel="canonical">, or is it also necessary to redirect?

Either way, the Squid cache would have to be purged, then the search engines would have to reread that site.

Answer http://lists.wikimedia.org/pipermail/wikimedia-l/2012-December/123148.html :

When I asked the nice folks at Google's search team, they answered me the following:

I don't know how much effort each of these two measures would be. If you'd ask me, I would suggest to be "very serious", but we are not under a deadline (the situation has been like this for more than a year now), and setting the rel="caonical" would already be really, really helpful.


Version: wmf-deployment
Severity: enhancement

Details

Reference
bz43466

Event Timeline

bzimport raised the priority of this task from to High.Nov 22 2014, 1:10 AM
bzimport added a project: HTTPS.
bzimport set Reference to bz43466.
bzimport added a subscriber: Unknown Object (MLST).

sumanah wrote:

Quim, since you are bug wrangler this week, can you add an RT ticket for this to ask Ops to weigh in?

Chris Steipp wrote:

I can add a, "I think it's a good idea" to the list, but Ops will need to be ok with the shift. I don't think it would be a problem, but it does mean google spidering our https site, and that may concern them. I think ops would also be the ones to implement the actual change.

(I'm also adding as CC a few other people who have previously requested stuff for Uzbek Wikipedia in Bugzilla, just to help keep the Uzbek Wikimedia community aware of this request.)

Qgil added a comment.Dec 27 2012, 8:21 PM

RT #4207 has been created.

(In reply to comment #2)

RT #4207 has been created.

I don't think ops has anything to do here, so I closed that RT ticket. I pushed the relevant feature for review:

https://gerrit.wikimedia.org/r/#/c/41562/

It should be deployed and enabled on uzwiki. Then every page on that wiki should be purged from Squid, say with eval.php.

(In reply to comment #3)

https://gerrit.wikimedia.org/r/#/c/41562/
It should be deployed and enabled on uzwiki. Then every page on that wiki
should be purged from Squid, say with eval.php.

Note that the configuration in itself has already been fixed by gerrit change 41561, but the core change is not merged.

Our side of this is done now, the rel=canonical links are deployed. Now Google just needs to crawl it.

Nemo_bis set Security to None.
Restricted Application added a project: Traffic. · View Herald TranscriptMay 29 2016, 10:22 AM
Restricted Application added subscribers: JEumerus, Matanya. · View Herald Transcript